Bug 410391 - lyx: crashes (eps preview) with kdelibs4 installed
lyx: crashes (eps preview) with kdelibs4 installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 08:57 EST by Neal Becker
Modified: 2008-02-19 08:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 08:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-12-04 08:57:35 EST
Description of problem:

I just installed the new texlive on F8, now lyx crashes in preview.
rpm -q lyx
lyx-1.5.2-1.fc8.x86_64
 <unknown program name>(14681)/ EPSHandler::read: kimgio EPS: starting...
<unknown program name>(14681)/ seekToCodeStart: kimgio EPS: normal EPS file
<unknown program name>(14681)/ bbox: kimgio EPS BBOX:  40   51   722   576
Fatal error: you need to have a KComponentData object before
you do anything that requires it! Examples of this are config
objects, standard directories or translations.

lyx: SIGSEGV signal caught
Sorry, you have found a bug in LyX. Please read the bug-reporting instructions 
in Help->Introduction and send us a bug report, if necessary. Thanks !
Bye.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2007-12-04 09:06:10 EST
Understand that lyx on F8 isn't designed/tested to run with anything but tetex.

That said, have you tried (in lyx): Tools->Reconfigure ?
Comment 2 Neal Becker 2007-12-04 09:23:10 EST
Still shouldn't crash.

Tried reconfigure, no help.
Comment 3 Rex Dieter 2007-12-04 09:27:51 EST
I'm going to retarget this for rawhide (I'd venture the same problem exists there).

In the meantime, please report this issue to upstream lyx bug tracker: 
http://bugzilla.lyx.org
Comment 4 Neal Becker 2007-12-04 10:07:35 EST
Looks like I can reproduce it by inserting an EPS graphic (but pdf graphic 
does not crash).

Reported upstream.
Comment 5 Rex Dieter 2007-12-04 10:11:43 EST
Reference/pointer to upstream report?
Comment 6 Neal Becker 2007-12-04 10:33:13 EST
(In reply to comment #5)
> Reference/pointer to upstream report?

http://bugzilla.lyx.org/show_bug.cgi?id=4409
Comment 7 Rex Dieter 2007-12-11 17:08:38 EST
fyi, looks like a kdelibs(4) kimg problem.  We'll see if the kde-3.96 refresh
helps here at all.
Comment 8 Rex Dieter 2007-12-12 08:27:08 EST
fyi, here's the update to try:
https://admin.fedoraproject.org/updates/F8/FEDORA-2007-4116

Let us know if it helps or not.
Comment 9 Neal Becker 2007-12-12 09:38:49 EST
Updating:
 kde-filesystem          noarch     4-1.fc8          updates-testing    17 k
Installing for dependencies:
 kdebase-runtime         x86_64     3.96.2-3.fc8     updates-testing    17 M
 kdelibs4                x86_64     3.96.2-3.fc8     updates-testing    11 M
 kdepimlibs              x86_64     3.96.2-1.fc8     updates-testing   2.3 M

It looks like the problem is fixed!
Comment 10 Rex Dieter 2007-12-12 09:56:52 EST
Thanks.
Comment 11 Neal Becker 2007-12-12 21:03:49 EST
Sorry, I just got the same crash again.  Not sure why I didn't see it earlier 
this morning - perhaps just didn't hit the right test case.  (Unfortunately, I 
can't make it public.  I believe it crashed on previewing an included 'grace' 
file, which I believe was converted to eps.

I removed kdelibs4, and there is no crash.
Comment 12 Rex Dieter 2008-02-19 08:17:51 EST
reported fixed in kdelibs-4.0.1

Note You need to log in before you can comment on or make changes to this bug.